#include <iostream.h>

// illustrates pointer and array relationship
// author: Owen Astrachan
//         11/25/1994

const int SIZE = 60;

void Print(const int * list, int numElts);

int main()
{
    int storage[SIZE];
    int * first, * second, * third;
    int k;
    for(k=0; k < SIZE; k+=1)     // initialize all array cells
    {
        storage[k] = k;
    }

    first = &storage[0];          // first array cell
    second = &storage[SIZE/3];    // middle third of array cells
    third = &storage[2*SIZE/3];   // last third of array cells

    cout << "first = ";  Print(first,SIZE/3);
    cout << "second = "; Print(second,SIZE/3);
    cout << "third = ";  Print(third,SIZE/3);
    return 0;
}

void Print(const int * list, int numElts)
// precondition: list[0] ... list[numElts] have values
// postcondition: values are printed on one line     
{
    int k;
    for(k=0; k < numElts; k++)
    {
        cout << list[k] << " ";
    }
    cout << endl;    
}
