#include <iostream.h>
#include "bigint.h"
#include "prompt.h"

// Owen Astrachan
// illustrates rudiemntary BigInt calculation of Factorial

BigInt Factorial(int num);

int main()
{
    int k;
    BigInt answer;
    int limit = PromptRange("max value for factorial",1,100);
    for(k=0; k <= limit; k++)
    {
        answer = Factorial(k);
        cout << k << "! = " << answer << endl;
    }
    return 0;    
}

BigInt Factorial(int num)
// precondition: 0 <= num
// postcondition: returns num! (num factorial)     
{
    BigInt product = 1;
    int count;
    for(count=1; count <= num; count++)
    {          
        product *= count;
    }
    return product;
}
