#include <ctype.h>           // for tolower
//#include "bool.h"          // built in using Borland 5.0

bool IsVowel(char ch)
// postcondition: returns true if ch is vowel (a,e,i,o.u)
//                otherwise returns false     
{
    ch = tolower(ch);
    return ch == 'a' || ch == 'e' || ch == 'i' ||
	   ch == 'o' || ch == 'u';
}

bool IsConsonant(char ch)
// postcondition: returns true of ch is consonant (not vowel)
{
    return ! IsVowel(ch);
}

bool IsCommon(char ch)
// postcondition: returns true if ch is 'common'
//                (etaoinshrdlu)
{
    ch = tolower(ch);
    return IsVowel(ch) || ch == 't' || ch == 'n' ||
	   ch == 's' || ch == 'h' || ch == 'r' ||
	   ch == 'd' || ch == 'l';
}

