#ifndef _CHAR_UTILS_H
#define _CHAR_UTILS_H

// utility boolean functions to determine
// if a letter is a vowel, consonant, or "common"
//
// Owen Astrachan, 2/12/95

extern
bool IsVowel(char ch);
// postcondition: returns true if ch is vowel (a,e,i,o.u)

extern
bool IsConsonant(char ch);
// postcondition: returns true of ch is consonant (not vowel)

extern
bool IsCommon(char ch);
// postcondition: returns true if ch is 'common' letter
//                (etaoinshrdlu)

#endif
