#include "coin.h"

// implementation of coin class

Coin::Coin()
   : myDie(2)
// postcondition: all fields initialized     
{
    // nothing needed, private field myDie constructed
}
 
FlipValue Coin::Flip()
// postcondition: return random coin flip     
{
    if (myDie.Roll() == 1)
    {
        return heads;
    }
    return tails;
}

int Coin::NumFlips()
// postcondition: return # of times coin has been flipped
{
    return myDie.NumRolls();
}
