#include <iostream.h>
#include "direct.h"
#include "apstring.h"
#include "prompt.h"

// illustrates use of the DirStream and DirEntry classes
// Owen Astrachan

int main()
{
    DirStream dir;                // directory information
    DirEntry entry;               // one entry from a directory
    int num = 0;                  // each file is numbered in output
    
	 apstring name = PromptString("enter name of directory: ");
    dir.open(name);

    if (dir.fail())
    {
        cerr << "could not open directory " << name << endl;
        exit(1);
    }

    for(dir.First(); ! dir.IsDone(); dir.Next())
    {
        entry = dir.Current();
        if (! entry.IsDir() )
        {
            num++;
            cout << "(" << num << ") " << entry.Name() << endl;
        }
    }
    return 0;
}
