#include <iostream.h>

// illustrates passing arrays as parameters

void Change(int list[], int numElts);
void Print(const int list[], int numElts);

int main()
{
    const int SIZE = 10;
    
    int numbers[SIZE];
    int k;
    for(k=0; k < SIZE; k++){
        numbers[k] = k+1;
    }

    cout << "before" << endl << "---------" << endl;
    Print(numbers,SIZE);

    cout << endl << "after" << endl << "---------" << endl;
    Change(numbers,SIZE);
    Print(numbers,SIZE);
    return 0;
}

void Change(int list[], int numElts)
// precondition: list contains at least numElts cells
// postcondition: list[k] = list[0] + list[1] + ... + list[k]
//                for all 0 <= k < numElts     
{
    int k;
    for(k=1; k < numElts; k++)
    {
        list[k] += list[k-1];
    }
}

void Print(const int list[], int numElts)
// precondition: list contains at least numElts cells
// postcondition: all elements of list printed     
{
    int k;
    for(k=0; k < numElts; k++)
    {
        cout << list[k] << endl;
    }
}
