#ifndef _MONITOR_H
#define _MONITOR_H

#include "apstring.h"

// class for monitoring a heart (see heart.h)
// Owen Astrachan, 10/14/95
//
// Monitor()  -- construct a heart monitor (display is off)
//
// void TurnOn()  -- turn the monitor on  (display is enabled)
// void TurnOff() -- turn the monitor off (display is disabled)
//
// void DisplaySense(apstring sense) -- display a heart sense
// void DisplayShock(apstring shock) -- display a heart shock


class Monitor
{
  public:
    Monitor();                             // constructor
    void TurnOn();                         // turn monitor on
    void TurnOff();                        // turn monitor off
    void DisplaySense(apstring sense);       // display sense
    void DisplayShock(apstring shock);       // display a shock
  private:
    bool myIsOn;                           // if true display on
};

#endif
