#include <iostream.h>
#include "apvector.h"
#include "prompt.h"

// Illustrates "bad" recursion for computing  Fibonacci numbers
// and a global variable to count # function calls
// Owen Astrachan 7/28/95

const int FIB_LIMIT = 40;
int gFibCalls = 0;

long int RecFib(int n)
// precondition: 0 <= n
// postcondition: returns the n-th Fibonacci number
{
    gFibCalls++;
    if (0 == n || 1 == n)
    {
        return 1;
    }
    else
    {
        return RecFib(n-1) + RecFib(n-2);
    }
    
}

int main()
{
    int num = PromptRange("compute Fibonacci #",1,FIB_LIMIT);
    cout << "Fibonacci # " << num << " = " << RecFib(num) << endl;
    cout << "total # function calls = " << gFibCalls << endl;
    return 0;
}
