#ifndef _STRUTILS_H
#define _STRUTILS_H

#include <iostream.h>
#include "apstring.h"

void ToLower(apstring & s);
// postcondition: s has only lower case letters
//                (only upper case letters changed)

void ToUpper(apstring & s);
// postcondition: s has only upper case characters
//                (only lower case letters changed)

void StripPunc(apstring & s);
// postcondition: s has no leading/trailing punctuation

void StripPunc(char * s);
// postcondition: s has no leading/trailing punctuation

void StripWhite(apstring & s);
// postcondition: s has no leading/trailing white space
    
void StripWhite(char * s);
// postcondition: s has no leading/trailing white space
    
#endif /* _STRUTILS_H not defined */    
