// token.cpp
token::token(char name, int startPos, int winPos, int maxDiceRoll)
: myName(name), myPosition(startPos), myWinningPos(winPos), myDice(maxDiceRoll)

{
       // all private variables initialized using initializer list
}

bool token::move()
{
       int n = myDice.Roll();
       myPosition += n;
       if (myPosition >= myWinningPos)
             return true;
       else
             return false;
}

int token::getPos() const
{
       return myPosition;
}

char token::getName() const
{
       return myName;
}
