//  token.h

//  A class to simulate playing tokens on a game board
#ifndef _TOKEN_H
#define _TOKEN_H

//#include <bool.h>
#include <stdlib.h>
#include "dice.h"

class token

{
       public:

             token(char name, int startPos, int winPos, int maxDiceRoll);
             bool move();
             int getPos() const;
             char getName() const;

       private:

             char myName;
             int myPosition;
             int myWinningPos;
             Dice myDice;

};

#include "token.cpp"           // hook to include implementation file for token
#endif

