#include <iostream.h>
#include "apstring.h"
#include "list.cpp"
#include "worditer.h"
#include "prompt.h"
#include "strutils.h"

// Owen Astrachan, 6/29/96
// use of List class to find unique words in text file

int main()
{
    WordStreamIterator iter;
    apstring word;
    List<apstring> wordList;
    apstring filename = PromptString("enter file name: ");
    int count = 0;
    
    iter.Open(filename);

    for(iter.First(); ! iter.IsDone(); iter.Next())
    {
        word = iter.Current();
	ToLower(word);
        if (! wordList.Contains(word))
        {
            wordList.Append(word);
        }
        count++;
    }
    cout << "total # different words = " << wordList.Length() << endl;
    cout << "total # words = " << count << endl;
    return 0;
}
