#include <iostream.h>
#include "apstring.h"
#include "strutils.h"

// demonstrates function composition
// Owen Astrachan, 1/2/96
//                 modified 9/5/98

// functions from numtoeng.cc appear here

// since Upcase and Downcase are not part of the apstring class
// this program doesn't show the same kind of function
// composition that the original program shows


int main()
{
    int number;
    apstring s67   = NumToString(67);
    apstring big   = NumToString(99)+NumToString(99);
    apstring stuff = big.substr(0,NumToString(90).length());
    
    cout << s67          << " length = " << s67.length()          << endl;
    cout << UpperString(s67) << " length = "
	 << UpperString(s67).length() << endl;
    cout << big          << " length = " << big.length()          << endl;
    cout << stuff        << " length = " << stuff.length()        << endl;
    if (big == LowerString(UpperString(big)))
    {
        cout << "up and down are equal to original" <<endl;
    }
    return 0;
}
