#include <iostream.h>
#include "dice.h"
#include "apvector.h"

// use vector to simulate rolling of two dice
// Owen Astrachan
// March 9, 1994

const int DICE_SIDES = 4;

int main()
{
    int rolls;
    int sum;
    int k;
    Dice d(DICE_SIDES);
    apvector<int> diceStats(2*DICE_SIDES+1);  // room for largest dice sum
    
    cout << "how many rolls ";
    cin >> rolls;

    for(k=2; k <= 2*DICE_SIDES; k++)       // initialize counters to zero
    {    
        diceStats[k] = 0;
    }

    for(k=0; k < rolls; k++)               // simulate all the rolls
    {           
        sum = d.Roll() + d.Roll();
        diceStats[sum]++;
    }

    cout << "roll\t\t# of occurrences" << endl;
    for(k=2; k <= 2*DICE_SIDES; k++)
    {
        cout << k << "\t\t" << diceStats[k] << endl;
    }
    return 0;
}
