#include <iostream.h>
#include "prompt.h"

// recursion: print English form of each digit
// in an integer: 123 -> "one two three"
// Owen Astrachan, 7/11/96

void PrintDigit(int num)
// precondition: 0 <= num < 10
// postcondition: prints english equivalent, e.g., 1->one,...9->nine     
{
    if (0 == num)       cout << "zero";
    else if (1 == num)  cout << "one";
    else if (2 == num)  cout << "two";
    else if (3 == num)  cout << "three";
    else if (4 == num)  cout << "four";
    else if (5 == num)  cout << "five";
    else if (6 == num)  cout << "six";
    else if (7 == num)  cout << "seven";
    else if (8 == num)  cout << "eight";
    else if (9 == num)  cout << "nine";
    else cout << "?";
}

void Print(long int number)
// precondition: 0 <= number
// postcondition: prints English equivalent of number
//                e.g., 1235 -> "one two three five"
{
    if (0 <= number && number < 10)
    {
		  PrintDigit(int(number));
    }
    else
    {
        Print(number / 10);
		  cout << " ";
		  PrintDigit(int(number % 10));
    }    
}

int main()
{
	 long int number = PromptRange("enter an integer",0L,1000000L);

    Print(number);
    cout << endl;
    
    return 0;
}
