#include <iostream.h>
#include "prompt.h"

// illustrates loop and integer overflow

long int Factorial(int num);

int main()
{    
    int highValue = PromptRange("enter max value for factorial",1,30);
    int current = 0;
    
         // prints factorial tables for numbers from current to highValue   

    while (current <= highValue)
    {
        cout << current << "! = " << Factorial(current) << endl;
        current = current + 1;
    }
    return 0;
}

long int Factorial(int num)
// precondition: num >= 0
// postcondition returns num!
{
    long int product = 1;
    int count = 0;

    while (count < num)          // invariant: product == count!
    {
        count += 1;
        product *= count;
    }
    return product;
}
