#include <iostream.h>
#include "prompt.h"
#include "walk.h"

// simulate two random walkers at once
// Owen Astrachan, 6/29/96

int main()
{
	 int numSteps = PromptRange("enter # steps",0,30000);

	 RandomWalk frog(numSteps);       // define two random walkers
	 RandomWalk toad(numSteps);
	 int samePadCount = 0;            // # times at same location

	 frog.First();
	 toad.First();

	 while (! frog.IsDone() && ! toad.IsDone())
	 {
		  if (frog.GetPosition() == toad.GetPosition())
		  {
				samePadCount++;
		  }
		  frog.Next();
		  toad.Next();
	 }

	 cout << "frog position = " << frog.GetPosition() << endl;
	 cout << "toad position = " << toad.GetPosition() << endl;
	 cout << "# times at same location = " << samePadCount << endl;
	 return 0;
}