#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>
#include "apstring.h"
#include "prompt.h"

// count # of lines in input file
// author:      Owen Astrachan,  7/11/94, modified 6/30/96

int main()
{
    long int numChars = 0;
    long int numLines = 0;
    char ch;
	 apstring filename = PromptString("enter name of input file: ");
    ifstream input;
    input.open(filename.c_str());

    if (input.fail() )
    {
        cout << "could not open file " << filename << endl;
        exit(1);
    }
    
    while (input.get(ch))            // reading char succeeds?
    {
        if ('\n' == ch)              // read newline character
        {
            numLines += 1;          
        }
        numChars++;
    }
    
    cout << "number of lines = " << numLines
         << ", number of characters = " << numChars << endl;
    return 0;
}
