#include <iostream.h>
#include "apmatrix.h"
#include <iomanip.h>      // for setw

// simple code to show two-dimensional arrays/matrices
// Owen Astrachan, 7/13/95

int main()
{
    const int ROWS = 7;
    const int COLS = 9;
    apmatrix<int> mat(ROWS,COLS);

    int j,k;

    for(j=0; j < ROWS; j++)              // fill matrix
    {
        for(k=0; k < COLS; k++)
        {
            mat[j][k] = 10*j + k;
        }
    }

    for(j=0; j < ROWS; j++)               // print matrix
    {
        for(k=0;k < COLS; k++)
        {
            cout << setw(4) << mat[j][k];
        }
        cout << endl;
    }
    return 0;    
}
