#include <iostream.h>
#include "apstring.h"

// illustrates pointer definition, initialization, and use
// author: Owen Astrachan
//         11/27/94, modified 1/9/96

void Output(int & object,apstring name)
// postcondition: value and address of object are printed     
{
    cout << name << "\tvalue = " << object
         << "\taddress = " << &object << endl;    
}

void PointerOutput(int * & object,apstring name)
// postcondition: value and address of object are printed     
{
    cout << name << "\tvalue = " << object
         << "\taddress = " << &object << endl;    
}

int main()
{
    int first = 11;
    int second = 99;
    int * intPtr = 0;

    Output(first,"first");
    Output(second,"second");
    PointerOutput(intPtr,"intPtr");

    intPtr = &first;
    PointerOutput(intPtr,"intPtr");
    *intPtr = 32;
    Output(first,"first");

    intPtr = new int;
    PointerOutput(intPtr,"intPtr");
    *intPtr = second;
    PointerOutput(intPtr,"intPtr");
    Output(second,"second");

    delete intPtr;
    PointerOutput(intPtr,"intPtr");

    return 0;
}
