#include "prompt.h"

int PromptRange(apstring prompt,int low, int high)
// precondition: low <= high
// postcondition: returns a value between low and high (inclusive)
{
    int value;
    do
    {
        cout << prompt << " between ";
        cout << low << " and " << high << ": ";
        cin >> value;
    } while (value < low || high < value);
    
    return value;
}

long int PromptRange(apstring prompt,long int low,long int high)
// precondition: low <= high
// postcondition: returns a value between low and high (inclusive)
{
    long int value;
    do
    {
        cout << prompt << " between ";
        cout << low << " and " << high << ": ";
        cin >> value;
    } while (value < low || high < value);
    
    return value;
}



double PromptRange(apstring prompt,double low, double high)
// precondition: low <= high
// postcondition: returns a value between low and high (inclusive)
{
    double value;
    do
    {
        cout << prompt << " between ";
        cout << low << " and " << high << ": ";
        cin >> value;
    } while (value < low || high < value);
    
    return value;
}

apstring PromptString(apstring prompt)
// postcondition: returns apstring entered by user
{
    apstring str;
    cout << prompt;
    cin >> str;
    return str;
}
