#include <iostream.h>
#include <strstream.h>
#include "apstring.h"

// illustrates use of string streams
// Owen Astrachan, 1/25/96

int main()
{
    apstring s;
    cout << "program computes averages of lines of numbers."  << endl;
    cout << "to exit, use end-of-file" << endl << endl;

    while (getline(cin,s))
    {
        int total = 0;
        int count = 0;
        int num;
	
	// must use c_str(), must cast to char * for Borland and others
        // c_str() returns const char *, non-const needed
	
	istrstream input((char *)s.c_str());
        while (input >> num)
        {
            count++;
            total += num;
        }
        if (count != 0)
        {
            cout << "average of " << count << " numbers = "
                 << double(total)/count << endl;     
        }
        else
        {
            cout << "data not parsed as integers" << endl;
        }
    }
    return 0;
}
